from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XTreeControl(Protocol):
    def addTreeExpansionListener(self, Listener: XTreeExpansionListener) -> None: ...
    def removeTreeExpansionListener(self, Listener: XTreeExpansionListener) -> None: ...
    def getNodeForLocation(self, x: int, y: int) -> XTreeNode: ...
    def getClosestNodeForLocation(self, x: int, y: int) -> XTreeNode: ...
    def isEditing(self) -> bool: ...
    def stopEditing(self) -> bool: ...
    def cancelEditing(self) -> None: ...
    def addTreeEditListener(self, Listener: XTreeEditListener) -> None: ...
    def removeTreeEditListener(self, Listener: XTreeEditListener) -> None: ...
